# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: model.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='model.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x0bmodel.proto\"\x07\n\x05\x45mpty\"\x15\n\x04Text\x12\r\n\x05query\x18\x01 \x01(\t\"!\n\x0fReview_Classify\x12\x0e\n\x06review\x18\x01 \x01(\x02\"2\n\x10predictionMetric\x12\x0c\n\x04loss\x18\x01 \x01(\x02\x12\x10\n\x08\x61\x63\x63uracy\x18\x02 \x01(\x02\x32v\n\x18sentiment_analysis_model\x12*\n\x0f\x63lassify_review\x12\x05.Text\x1a\x10.Review_Classify\x12.\n\x11\x63\x61lculate_metrics\x12\x06.Empty\x1a\x11.predictionMetricb\x06proto3'
)




_EMPTY = _descriptor.Descriptor(
  name='Empty',
  full_name='Empty',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=15,
  serialized_end=22,
)


_TEXT = _descriptor.Descriptor(
  name='Text',
  full_name='Text',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='query', full_name='Text.query', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=24,
  serialized_end=45,
)


_REVIEW_CLASSIFY = _descriptor.Descriptor(
  name='Review_Classify',
  full_name='Review_Classify',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='review', full_name='Review_Classify.review', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=47,
  serialized_end=80,
)


_PREDICTIONMETRIC = _descriptor.Descriptor(
  name='predictionMetric',
  full_name='predictionMetric',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='loss', full_name='predictionMetric.loss', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='accuracy', full_name='predictionMetric.accuracy', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=82,
  serialized_end=132,
)

DESCRIPTOR.message_types_by_name['Empty'] = _EMPTY
DESCRIPTOR.message_types_by_name['Text'] = _TEXT
DESCRIPTOR.message_types_by_name['Review_Classify'] = _REVIEW_CLASSIFY
DESCRIPTOR.message_types_by_name['predictionMetric'] = _PREDICTIONMETRIC
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Empty = _reflection.GeneratedProtocolMessageType('Empty', (_message.Message,), {
  'DESCRIPTOR' : _EMPTY,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:Empty)
  })
_sym_db.RegisterMessage(Empty)

Text = _reflection.GeneratedProtocolMessageType('Text', (_message.Message,), {
  'DESCRIPTOR' : _TEXT,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:Text)
  })
_sym_db.RegisterMessage(Text)

Review_Classify = _reflection.GeneratedProtocolMessageType('Review_Classify', (_message.Message,), {
  'DESCRIPTOR' : _REVIEW_CLASSIFY,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:Review_Classify)
  })
_sym_db.RegisterMessage(Review_Classify)

predictionMetric = _reflection.GeneratedProtocolMessageType('predictionMetric', (_message.Message,), {
  'DESCRIPTOR' : _PREDICTIONMETRIC,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:predictionMetric)
  })
_sym_db.RegisterMessage(predictionMetric)



_SENTIMENT_ANALYSIS_MODEL = _descriptor.ServiceDescriptor(
  name='sentiment_analysis_model',
  full_name='sentiment_analysis_model',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=134,
  serialized_end=252,
  methods=[
  _descriptor.MethodDescriptor(
    name='classify_review',
    full_name='sentiment_analysis_model.classify_review',
    index=0,
    containing_service=None,
    input_type=_TEXT,
    output_type=_REVIEW_CLASSIFY,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='calculate_metrics',
    full_name='sentiment_analysis_model.calculate_metrics',
    index=1,
    containing_service=None,
    input_type=_EMPTY,
    output_type=_PREDICTIONMETRIC,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_SENTIMENT_ANALYSIS_MODEL)

DESCRIPTOR.services_by_name['sentiment_analysis_model'] = _SENTIMENT_ANALYSIS_MODEL

# @@protoc_insertion_point(module_scope)
